.lctl
.pabs
.phex
.radix	16
.laddr


		HOME		==	0F218
		SELDSK		==	HOME + 3
		SETTRK		==	HOME + 6
		SETSEC		==	HOME + 9
		SETDMA		==	HOME + 0C
		READ		==	HOME + 0F
		WRITE		==	HOME + 12
		SECTRAN		==	HOME + 18


.loc	100

begin:
	lxi	b, 200
	lxi	d, 0
	lxi	h, 0
	call	setdma

	lxi	b, 0
	lxi	d, 0
	lxi	h, 0
	call	seldsk

	lxi	b, 1
	lxi	d, 0
	lxi	h, 0
	call	setsec

..loop:
	lxi	b, 2
	lxi	d, 0
	lxi	h, 0
	call	settrk

	call	read

	lxi	b, 4c
	lxi	d, 0
	lxi	h, 0
	call	settrk

	call	read

	jmpr	..loop


.end	begin


